Name:		iio-sensor-proxy
Version:	2.2
Release:	%mkrel 1
Summary:	IIO sensors to D-Bus proxy

License:	GPLv3+
URL:		https://github.com/hadess/iio-sensor-proxy
Group:		System/Base
Source0:	https://github.com/hadess/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	git
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(systemd)
BuildRequires:	gnome-common
BuildRequires:	systemd

Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description
%{summary}.

%prep
%autosetup -S git

%build
NOCONFIGURE=1 ./autogen.sh
export WARN_CFLAGS="-Wno-unused-result -Wno-error=unused-result -Wno-error=cast-align"
%configure2_5x --disable-silent-rules
%make

%install
%make_install

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.md
%{_bindir}/monitor-sensor
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service
%{_udevrulesdir}/80-%{name}.rules
%{_sysconfdir}/dbus-1/system.d/net.hadess.SensorProxy.conf



%changelog
* Wed Feb 15 2017 mitya <mitya> 2.2-1.mga6
+ Revision: 1086332
- New version 2.2

* Wed Feb 08 2017 mitya <mitya> 2.1-1.mga6
+ Revision: 1085117
- New version 2.1

* Sun Nov 13 2016 pterjan <pterjan> 1.3-2.mga6
+ Revision: 1067094
- Try to fix build on arm

* Sun Nov 13 2016 mitya <mitya> 1.3-1.mga6
+ Revision: 1067038
- New version 1.3
- Update source URL and doc files

* Mon Jun 20 2016 mitya <mitya> 1.1-1.mga6
+ Revision: 1036911
- New version 1.1
- drop patches (merged upstream)

* Thu Feb 11 2016 umeabot <umeabot> 1.0-2.mga6
+ Revision: 954471
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 colin <colin> 1.0-1.mga6
+ Revision: 851717
- imported package iio-sensor-proxy

